anova.MAList-method {limma} | R Documentation

## ANOVA Table - method

### Description

Analysis of variance method for objects of class `MAList`. Produces an ANOVA table useful for quality assessment by decomposing between and within gene sums of squares for a series of replicate arrays. This method produces a single ANOVA Table rather than one for each gene and is not used to identify differentially expressed genes.

### Usage

`anova(object,design=NULL,ndups=2,...)`

### Arguments

`object`
  object of class `MAList`. Missing values in the M-values are not allowed.
`design`
  numeric vector or single-column matrix containing the design matrix for linear model. The length of the vector or the number of rows of the matrix should agree with the number of columns of M.
`ndups`
  number of duplicate spots. Each gene is printed ndups times in adjacent spots on each array.
`...`
  other arguments are not used

### Details

This function aids in quality assessment of microarray data and in the comparison of normalization methodologies. It applies only to replicated two-color experiments in which all the arrays are hybridized with the same RNA targets, possibly with dye-swaps, so the design matrix should have only one column. The function has not been heavily used and is somewhat experimental.

### Value

An object of class `anova` containing rows for between genes, between arrays, gene x array interaction, and between duplicate with array sums of squares. Variance components are estimated for each source of variation.

### Note

This function does not give valid results in the presence of missing M-values.

### Author(s)

Gordon Smyth

### See Also

`MAList-class`, `bwss.matrix`, `anova`.

An overview of quality assessment and diagnostic functions in LIMMA is given by 09.Diagnostics.

[Package limma version 2.16.5 Index]